Application: gvSIG desktop - gvSIG bugs #516
Table join: it shouldn't allow to choose keys of different type
04/10/2012 04:40 PM - Manuel Madrid

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Document table

Target version: 2.0.0-devel-2050

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2045 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1. Create a view

2. Add layer: /geodata/vector/SHP2D/esp_provincias.shp

3. Open its attribute table

4. From the project manager, new table: /geodata/tables/DBF/poblacionINE.dbf

5. Menu table > join

6. Select "table of attributes: esp_provincias.shp" as the first data store > next.

7. Select "poblacionINE" as the second data store > next.

8. Select "PROV" as the key of the first table.

9. In the "key of the second table" popup, you can choose among all the fields, whatever type they are. It only should show the fields

that has the same type as the key of the first table we chose before.

History

#1 - 07/02/2012 08:52 PM - Manuel Madrid
- Category set to Document table

- Target version set to 2.0.0-rc1

#2 - 07/11/2012 10:49 AM - Juan Lucas Dominguez

- Assignee set to Juan Lucas Dominguez

#3 - 07/11/2012 02:50 PM - Juan Lucas Dominguez
- Status changed from New to Fixed
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2050

gvsig-desktop:r38552

Second combo is now filtered by first field. Also improved GUI

#4 - 08/21/2012 01:23 PM - Maria Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2051
